# EvolutionPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EvolutionPhase

#### Hierarchy (View Summary)

- Phase
  - EvolutionPhase
    - FormChangePhase

- Defined in src/phases/evolution-phase.ts:21

##### Index

### Constructors

constructor

### Properties

evolutionBaseBg
evolutionBg
evolutionBgOverlay
evolutionContainer
evolutionOverlay
lastLevel
pokemon
pokemonEvoSprite
pokemonEvoTintSprite
pokemonSprite
pokemonTintSprite

### Methods

doArcDownParticle
doArcDownward
doCircleInward
doCircleInwardParticle
doCycle
doEvolution
doSpiralUpward
doSpiralUpwardParticle
doSpray
doSprayParticle
end
setMode
start
validate

## Constructors

### constructor

- new EvolutionPhase(
  pokemon: PlayerPokemon ,
  evolution: null | SpeciesFormEvolution ,
  lastLevel: number,
  ): EvolutionPhase

  #### Parameters

  - pokemon: PlayerPokemon
  - evolution: null | SpeciesFormEvolution
  - lastLevel: number

  #### Returns EvolutionPhase

  Overrides Phase.constructor

  - Defined in src/phases/evolution-phase.ts:42

## Properties

### `Protected` evolutionBaseBg

evolutionBaseBg: Image

- Defined in src/phases/evolution-phase.ts:33

### `Protected` evolutionBg

evolutionBg: Video

- Defined in src/phases/evolution-phase.ts:34

### `Protected` evolutionBgOverlay

evolutionBgOverlay: Rectangle

- Defined in src/phases/evolution-phase.ts:35

### `Protected` evolutionContainer

evolutionContainer: Container

- Defined in src/phases/evolution-phase.ts:32

### `Protected` evolutionOverlay

evolutionOverlay: Rectangle

- Defined in src/phases/evolution-phase.ts:36

### `Protected` lastLevel

lastLevel: number

- Defined in src/phases/evolution-phase.ts:23

### `Protected` pokemon

pokemon: PlayerPokemon

- Defined in src/phases/evolution-phase.ts:22

### `Protected` pokemonEvoSprite

pokemonEvoSprite: Sprite

- Defined in src/phases/evolution-phase.ts:39

### `Protected` pokemonEvoTintSprite

pokemonEvoTintSprite: Sprite

- Defined in src/phases/evolution-phase.ts:40

### `Protected` pokemonSprite

pokemonSprite: Sprite

- Defined in src/phases/evolution-phase.ts:37

### `Protected` pokemonTintSprite

pokemonTintSprite: Sprite

- Defined in src/phases/evolution-phase.ts:38

## Methods

### doArcDownParticle

- doArcDownParticle(trigIndex: number): void

  #### Parameters

  - trigIndex: number

  #### Returns void

  - Defined in src/phases/evolution-phase.ts:535

### doArcDownward

- doArcDownward(): void

  #### Returns void

  - Defined in src/phases/evolution-phase.ts:409

### doCircleInward

- doCircleInward(): void

  #### Returns void

  - Defined in src/phases/evolution-phase.ts:459

### doCircleInwardParticle

- doCircleInwardParticle(trigIndex: number, speed: number): void

  #### Parameters

  - trigIndex: number
  - speed: number

  #### Returns void

  - Defined in src/phases/evolution-phase.ts:568

### doCycle

- doCycle(l: number, lastCycle?: number): Promise<boolean>

  #### Parameters

  - l: number
  - lastCycle: number = 15

  #### Returns Promise<boolean>

  - Defined in src/phases/evolution-phase.ts:428

### doEvolution

- doEvolution(): void

  #### Returns void

  - Defined in src/phases/evolution-phase.ts:160

### doSpiralUpward

- doSpiralUpward(): void

  #### Returns void

  - Defined in src/phases/evolution-phase.ts:390

### doSpiralUpwardParticle

- doSpiralUpwardParticle(trigIndex: number): void

  #### Parameters

  - trigIndex: number

  #### Returns void

  - Defined in src/phases/evolution-phase.ts:499

### doSpray

- doSpray(): void

  #### Returns void

  - Defined in src/phases/evolution-phase.ts:480

### doSprayParticle

- doSprayParticle(trigIndex: number): void

  #### Parameters

  - trigIndex: number

  #### Returns void

  - Defined in src/phases/evolution-phase.ts:600

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### setMode

- setMode(): Promise<void>

  #### Returns Promise<void>

  - Defined in src/phases/evolution-phase.ts:55

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/evolution-phase.ts:59

### validate

- validate(): boolean

  #### Returns boolean

  - Defined in src/phases/evolution-phase.ts:51